Friday, March 23, 2012

Been a long time but here's a 1.2.4 Installer Version

Sorry for the past few months I've been busy with other things.  Work has been quite exciting at times lately which results in me not feeling the urge to code when I get home.  As a result, I've not been working on AdventureCraft and my interest in Minecraft has waned.

http://bit.ly/M9FF5w

69 comments:

  1. You should at least release the source so another modder could take over your work and update AC to the latest Minecraft release. I don't want this mod to fad away, I love this mod.

    ReplyDelete
    Replies
    1. Agree 100%. Cryect, if you're paying attention...

      Delete
    2. it says minecraft not fress install for 1.2.4

      Delete
    3. can you make a downloadable free verson for old cps

      Delete
    4. please my little brother and i want it bad

      Delete
    5. please make a demo with super mariocraft 64

      Delete
  2. wont work for me i just get an error

    ReplyDelete
  3. somebody how i fix? i try install that and that says:The minecraft.jar is not form a fresh install or isn't release 1.2.4
    how i fix that??

    ReplyDelete
    Replies
    1. You have to login as user and put your minecraft login user and pass to download

      Delete
    2. that is not what i did for it to work.
      i just pressed install and it worked but
      it didn't work when the minecraft.jar had mods in it.

      Delete
  4. This comment has been removed by the author.

    ReplyDelete
  5. mine says it is not a fresh install or isn't minecraft 1.1

    ReplyDelete
  6. mine says java exception error >: (

    ReplyDelete
  7. usually when i play adventure craft and then close it after downloading and playing maps, when i reopen it i have to start everything over again! Help me please!

    ReplyDelete
  8. The minecraft.jar is not from a fresh install or isn't release 1.0

    Is what I get... Help pls x_x

    ReplyDelete
  9. guys guys guys replace the SWL file if u can't open! i had tried and it works!

    ReplyDelete
  10. I don't have the permission to open the .zip

    ReplyDelete
    Replies
    1. Is it a family computer? Are you about 7 or 8? Then that means you need to get your parent's to open it. If not, then I don't have any idea what's wrong with you

      Delete
  11. I'd still like it if there were features from the 1.2 version, such as bow pulling back, redstone lanterns, etc...

    ReplyDelete
    Replies
    1. agreed. although you can already do that when you use a block saver block which you can make a torch turn into a redstone torch.

      Delete
  12. Mine says it cannot find the main class file ACLauncher. Care to explain why this happens with EVERY SINGLE UPDATE???

    ReplyDelete
    Replies
    1. no he didn't I have the same problem!

      Delete
  13. i can't play it keeps telling me that a java exception has occurred how do i fix it.

    ReplyDelete
  14. 1.2.5 is coming out tommorow.... NO MORE 1.2.4 ERRORS!

    ReplyDelete
  15. For the "A java exception has occured" error.....
    Download swt.jar for your 64-bit or 32-bit computer here.... http://download.eclipse.org/eclipse/downloads/drops/R-3.7.1-201109091335/index.php#SWT. Replace the swt.jar file in your folder with the new one and that should fix it!
    Copy this to every place that this mod is mentioned!
    Enjoy AdventureCraft!

    ReplyDelete
  16. Moi je pense, que pour l'instant , patienter pour avoir un nouveaux adventurecraft (1.2.4) stable.

    ReplyDelete
  17. It keeps on saying that the aclauncher cannot be found, help D:

    ReplyDelete
  18. adventurecraft.jar doesnt open it says check the console for error messages!

    ReplyDelete
    Replies
    1. Same here dude. I really want to play this.

      Delete
  19. Does anyone know how to fix the "Error": Cannot find main class file AClauncher?

    ReplyDelete
    Replies
    1. Yes, I am wondering the same thing...

      Delete
  20. 4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.widgets.Display
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at java.security.AccessController.doPrivileged(Native Method)
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    4/1/12 5:16:15 PM [0x0-0x4b04b].com.apple.JarLauncher[507] at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

    I get this error in my console every time I try to open the current adventurecraft.jar. I switched the swt.jar file but I still get the same errors. I'm running mac osx 10.6.

    ReplyDelete
  21. It keeps saying "Minecraft.jar isn't 1.1"

    ReplyDelete
  22. But I love Adventurecraft~.......

    ReplyDelete
  23. I can't believe this! The AClauncher issue has been fixed!
    Go to Google,
    type, .swt
    click on the link
    download the .swt file that fits your OS
    replace the newly downloaded .swt file with the one in AdventureCraft
    (The sun rises and the world is a better place)

    Now, press start and play some AC!

    ReplyDelete
  24. fml minecraft 1.2.5 prevent me from installing this

    ReplyDelete
  25. OK
    Here's the deal.
    I am able to launch the installer.
    I have a non-modified 1.2.4 minecraft.jar.
    Here is my EXACT error message
    "The minecraft.jar is not from a fresh install or isn't release 1.2.4"
    I downloaded the jar from the internet, checked inside, and found that it was PERFECT 1.2.4, no modifications or anything.
    I am running Linux Ubuntu 11.10 with openjdk java 6 runtime that is able to run this installer and minecraft PERFECTLY, except the installer doesn't install.
    If anyone has methods to fix this, or even better if they know how to manually install adventurecraft that would be FANTASTIC.
    Thank you for your time.

    ReplyDelete
    Replies
    1. 1. You could download your computer's .swt file 2. If 1. Doesn't work then download the adventurecraft + Zelda adventure map on the forums (it has ALL of the computer's .swt files) and is a guarantee to work

      Delete
    2. how did you figure that out? i really want an explanation please! :D

      Delete
    3. Well... The current .swt is for windows xp (I think) and it isn't compatible with Mac,windows 7, ect. Downloading your .swt file can work. But you may have an error saying you don't have permission to swap it out. Zelda Adventure though has a bundle that has most .swt files even the original. And if you don't understand what I said on the Zelda Adventure page has a video explaining why it isn't working.

      Delete
    4. co,uld you post a link to the video? anyways, when you install adventure craft and open the blog with the install and install via login buttons, login with your minecraft user. but after that, im stuck. it says that i need minecraft 1.1, i need help! :D

      Delete
  26. Cryect why havent you fixed these problems? I got an older version of it on a different computer and really want to get it on the one im using! Cryect, HELP!!!!

    ReplyDelete
  27. I fixed the problem with AClauncher issue but if I click on "Install" (I have a fresh version of Minecraft) it says "The minecraft.jar is not from a fresh install or isn't release 1.1" and if I click on "Install via Login" it says "The minecraft.jar isn't 1.1" and then a freezed progress bar appears :(
    I tryed different versions of java and reinstalled minecraft and adventurecraft many times but it doesn't work at all

    ReplyDelete
    Replies
    1. To fix it see my reply to iopsided10

      Delete
  28. Cryect just make adventure craft an independent program without using minecraft! in the earlier versions you just had to download it and you were good to go! now what did you change?

    ReplyDelete
  29. Yeah so I finally fixed my AClauncher issue, but now I can't advance from the blogger page (this page) into AC. It says I don't have 1.2.4 if I press Install. It says the same thing when i press Install via Login, but also shows a non-moving progress bar. Anyone else having this problem? I haven't played AC for months.... :(

    ReplyDelete
  30. A MESSAGE TO CRYECT.

    Sup. i am asking if i can update Your AdventureCraft! :) i know how to update and if you want it. Send me a Email "yohan.98@hotmail.com" if you have any questions.

    ReplyDelete
  31. So it's official: AdvetureCraft is dead.

    Too bad, it had a good thing going. Although I never personally experienced any of those good things, since AdventureCraft was nothing but a buggy and laggy pile of code. Yet I loved everything that it brought to Minecraft. I'm sad to see it go.

    ReplyDelete
  32. Hurray I finally found this and it doesn't work

    ReplyDelete
  33. you should make it so you can add mods to adventure craft cause i want to try playing it with the portalgun mod.

    ReplyDelete
  34. I can't install.
    "The minecraft.jar is not a fresh or isn't release 1.2.4"
    What I can do?

    ReplyDelete
  35. I'm getting the same problem as Antopoke, I try download a .jar from the 1.2.4 same problem. "The minecraft.jar is not a fresh or isn't release 1.2.4" Would Love to start making puzzle maps, got lots of ideas. Anyone get a fix for this soon? or even direct me toward another program/mod to create single player dungeon style puzzle maps?

    ReplyDelete
  36. Dude seriously it say minecraft isnt 1.2.4 can you please check your website so we can adventure or try to install this now

    ReplyDelete
  37. aaaggggghhhh it doesnt work it says its not release 1.1 i downloaded and deleted and its p**sing me the F**K OFF!!!!

    ReplyDelete
  38. Same problem, someone help please.

    ReplyDelete
  39. I DONT WANT THE NEW LATEST I THIYENG TO GET THEASE 1!

    ReplyDelete